import javax.swing.*;
import java.awt.*;

class ResumeStatsPanel extends JPanel{
	

	JLabel nomTxt=new JLabel();
	
	JLabel niveauLbl=new JLabel("Level");
	JLabel niveauTxt=new JLabel("1");
	
	JLabel xpLbl=new JLabel("Xps");
	JLabel xpTxt=new JLabel("0");
	
	JLabel forceLbl=new JLabel("ST");
	JLabel forceInt=new JLabel();
	
	JLabel dexteriteLbl=new JLabel("DX");
	JLabel dexteriteInt=new JLabel();
	
	JLabel constitutionLbl=new JLabel("CO");
	JLabel constitutionInt=new JLabel();
	
	JLabel intelligenceLbl=new JLabel("INT");
	JLabel intelligenceInt=new JLabel();
	
	JLabel ppLbl=new JLabel("P.P");
	JLabel ppInt=new JLabel();

	JLabel atkInt=new JLabel();
	
	JLabel atkModifieeLbl=new JLabel("ATK");
	JLabel atkModifieeInt=new JLabel();
	
	JLabel defInt=new JLabel();
	
	JLabel defModifieeLbl=new JLabel("DEF");
	JLabel defModifieeInt=new JLabel();
	
	JLabel paradeLbl=new JLabel("Parry");
	JLabel paradeInt=new JLabel();
	
	JLabel vieMaxInt=new JLabel();
	
	JLabel vieActuelleLbl=new JLabel("Hits");
	JLabel vieActuelleInt=new JLabel();
	
	JLabel rapiditeLbl=new JLabel("Speed");
	JLabel rapiditeInt=new JLabel();
	
	
	JLabel encLbl=new JLabel("Enc");
	JLabel encInt=new JLabel();
	JLabel encMax=new JLabel();
	
	JLabel faimLbl=new JLabel("Hunger");
	JLabel faimInt=new JLabel("0");
	
	
	JLabel coordLbl=new JLabel("x/y");
	JLabel xLbl=new JLabel("0");
	JLabel yLbl=new JLabel("0");
	
	
	JLabel skillNiv=new JLabel("Lvl");
	JLabel skillTot=new JLabel("Tot");
	//SKILLS LABELS
	JLabel perception=new JLabel("Perception");
	JLabel discretion=new JLabel("Stealth");
	JLabel melee=new JLabel("Melee");
	JLabel distance=new JLabel("Distance");
	JLabel magie=new JLabel("Magic");
	JLabel attunement=new JLabel("Attunement");
	JLabel crocheter=new JLabel("LockPicking");
	JLabel pieges=new JLabel("Traps");
	JLabel identification=new JLabel("Identification");
	JLabel baratin=new JLabel("FastTalk");
	//SKILLS LEVELS
	JLabel perceptionLvl=new JLabel("0");
	JLabel discretionLvl=new JLabel("0");
	JLabel meleeLvl=new JLabel("0");
	JLabel distanceLvl=new JLabel("0");
	JLabel magieLvl=new JLabel("0");
	JLabel attunementLvl=new JLabel("0");
	JLabel crocheterLvl=new JLabel("0");
	JLabel piegesLvl=new JLabel("0");
	JLabel identificationLvl=new JLabel("0");
	JLabel baratinLvl=new JLabel("0");	
	//SKILLS TOTAL
	JLabel perceptionTot=new JLabel("0");
	JLabel discretionTot=new JLabel("0");
	JLabel meleeTot=new JLabel("0");
	JLabel distanceTot=new JLabel("0");
	JLabel magieTot=new JLabel("0");
	JLabel attunementTot=new JLabel("0");
	JLabel crocheterTot=new JLabel("0");
	JLabel piegesTot=new JLabel("0");
	JLabel identificationTot=new JLabel("0");
	JLabel baratinTot=new JLabel("0");	
	
	
	
	
	JLabel coordGLOBALLbl=new JLabel("X/Y/Z");
	JLabel xGLOBALLbl=new JLabel("0");
	JLabel yGLOBALLbl=new JLabel("0");
	JLabel zGLOBALLbl=new JLabel("0");
	
	JLabel nomRndLbl=new JLabel("ROUND");
	JLabel rndIntLbl=new JLabel("0");
	
	JLabel dayLbl=new JLabel("Jour");
	
	private ImageIcon fond;
	private ImageIcon separ;
	
	public ResumeStatsPanel(PanneauJeu pj){
		setLayout(null);
		
		
		
		/////////////
		
				
		nomTxt.setFont(pj.getPolice());
		niveauLbl.setFont(pj.getPolice());
		niveauTxt.setFont(pj.getPolice());
		xpLbl.setFont(pj.getPolice());
		xpTxt.setFont(pj.getPolice());
		forceLbl.setFont(pj.getPolice());
		forceInt.setFont(pj.getPolice());
		dexteriteLbl.setFont(pj.getPolice());
		dexteriteInt.setFont(pj.getPolice());
		constitutionLbl.setFont(pj.getPolice());
		constitutionInt.setFont(pj.getPolice());
		intelligenceLbl.setFont(pj.getPolice());
		intelligenceInt.setFont(pj.getPolice());
		ppLbl.setFont(pj.getPolice());
		ppInt.setFont(pj.getPolice());
		atkInt.setFont(pj.getPolice());
		atkModifieeLbl.setFont(pj.getPolice());
		atkModifieeInt.setFont(pj.getPolice());
		defInt.setFont(pj.getPolice());
		defModifieeLbl.setFont(pj.getPolice());
		defModifieeInt.setFont(pj.getPolice());
		paradeLbl.setFont(pj.getPolice());
		paradeInt.setFont(pj.getPolice());
		vieMaxInt.setFont(pj.getPolice());
		vieActuelleLbl.setFont(pj.getPolice());
		vieActuelleInt.setFont(pj.getPolice());
		rapiditeLbl.setFont(pj.getPolice());
		rapiditeInt.setFont(pj.getPolice());
		encLbl.setFont(pj.getPolice());
		encInt.setFont(pj.getPolice());
		encMax.setFont(pj.getPolice());
		faimLbl.setFont(pj.getPolice());
		faimInt.setFont(pj.getPolice());
		coordLbl.setFont(pj.getPolice());
		xLbl.setFont(pj.getPolice());
		yLbl.setFont(pj.getPolice());
		skillNiv.setFont(pj.getPolice());
		skillTot.setFont(pj.getPolice());
		perception.setFont(pj.getPolice());
		discretion.setFont(pj.getPolice());
		melee.setFont(pj.getPolice());
		distance.setFont(pj.getPolice());
		magie.setFont(pj.getPolice());
		attunement.setFont(pj.getPolice());
		crocheter.setFont(pj.getPolice());
		pieges.setFont(pj.getPolice());
		identification.setFont(pj.getPolice());
		baratin.setFont(pj.getPolice());
		perceptionLvl.setFont(pj.getPolice());
		discretionLvl.setFont(pj.getPolice());
		meleeLvl.setFont(pj.getPolice());
		distanceLvl.setFont(pj.getPolice());
		magieLvl.setFont(pj.getPolice());
		attunementLvl.setFont(pj.getPolice());
		crocheterLvl.setFont(pj.getPolice());
		piegesLvl.setFont(pj.getPolice());
		identificationLvl.setFont(pj.getPolice());
		baratinLvl.setFont(pj.getPolice());
		perceptionTot.setFont(pj.getPolice());
		discretionTot.setFont(pj.getPolice());
		meleeTot.setFont(pj.getPolice());
		distanceTot.setFont(pj.getPolice());
		magieTot.setFont(pj.getPolice());
		attunementTot.setFont(pj.getPolice());
		crocheterTot.setFont(pj.getPolice());
		piegesTot.setFont(pj.getPolice());
		identificationTot.setFont(pj.getPolice());
		baratinTot.setFont(pj.getPolice());
		coordGLOBALLbl.setFont(pj.getPolice());
		xGLOBALLbl.setFont(pj.getPolice());
		yGLOBALLbl.setFont(pj.getPolice());
		zGLOBALLbl.setFont(pj.getPolice());
		nomRndLbl.setFont(pj.getPolice());
		rndIntLbl.setFont(pj.getPolice());
		dayLbl.setFont(pj.getPolice());
		
		
		
		/////////////
		
		
		
		nomTxt.setBounds(5,5,200,20);
		add(nomTxt);
		
		
		niveauLbl.setBounds(120,50,70,20);
		add(niveauLbl);
		
		niveauTxt.setBounds(120,70,70,20);
		add(niveauTxt);
		
		
		
		
		forceLbl.setBounds(5,50,50,20);
		add(forceLbl);
		forceInt.setBounds(60,50,50,20);
		add(forceInt);
		
		dexteriteLbl.setBounds(5,70,50,20);
		add(dexteriteLbl);
		dexteriteInt.setBounds(60,70,50,20);
		add(dexteriteInt);
		
		constitutionLbl.setBounds(5,90,50,20);
		add(constitutionLbl);
		constitutionInt.setBounds(60,90,50,20);
		add(constitutionInt);
		
		intelligenceLbl.setBounds(5,110,50,20);
		add(intelligenceLbl);
		intelligenceInt.setBounds(60,110,50,20);
		add(intelligenceInt);
		
		
		ppLbl.setBounds(120,90,70,20);
		add(ppLbl);
		
		ppInt.setBounds(120,110,150,20);
		add(ppInt);
		
		
		atkModifieeLbl.setBounds(5,140,50,20);
		add(atkModifieeLbl);
		
		atkModifieeInt.setBounds(60,140,50,20);
		add(atkModifieeInt);
		
		atkInt.setBounds(125,140,50,20);
		add(atkInt);
		
		
		
		defModifieeLbl.setBounds(5,160,50,20);
		add(defModifieeLbl);
				
		defModifieeInt.setBounds(60,160,50,20);
		add(defModifieeInt);
		
		defInt.setBounds(125,160,50,20);
		add(defInt);
		
		paradeLbl.setBounds(5,180,50,20);
		add(paradeLbl);
		
		paradeInt.setBounds(60,180,50,20);
		add(paradeInt);
	
		vieActuelleLbl.setBounds(5,200,100,20);
		add(vieActuelleLbl);
		
		vieActuelleInt.setBounds(60,200,100,20);
		add(vieActuelleInt);
		
		vieMaxInt.setBounds(125,200,100,20);
		add(vieMaxInt);
		
		
		rapiditeLbl.setBounds(5,220,100,20);
		add(rapiditeLbl);
		
		rapiditeInt.setBounds(60,220,100,20);
		add(rapiditeInt);
		
		
		encLbl.setBounds(5,240,100,20);
		add(encLbl);
		
		
		encInt.setBounds(60,240,100,20);
		add(encInt);
		
		
		encMax.setBounds(125,240,100,20);
		add(encMax);
		
		
		faimLbl.setBounds(5,260,50,20);
		add(faimLbl);
		
		faimInt.setBounds(60,260,150,20);
		add(faimInt);
		
		
		
		xpLbl.setBounds(5,280,50,20);
		add(xpLbl);
		
		
		xpTxt.setBounds(60,280,100,20);
		add(xpTxt);
		
		
		////SKILLS
		skillNiv.setBounds(95,310,30,20);
		add(skillNiv);
		
		skillTot.setBounds(130,310,30,20);
		add(skillTot);
		
		perception.setBounds(5,330,100,20);
		add(perception);
		perceptionLvl.setBounds(95,330,50,20);
		add(perceptionLvl);
		perceptionTot.setBounds(130,330,50,20);
		add(perceptionTot);
		
		
		discretion.setBounds(5,350,100,20);
		add(discretion);
		discretionLvl.setBounds(95,350,50,20);
		add(discretionLvl);
		discretionTot.setBounds(130,350,50,20);
		add(discretionTot);
		
		
		melee.setBounds(5,370,100,20);
		add(melee);
		meleeLvl.setBounds(95,370,50,20);
		add(meleeLvl);
		meleeTot.setBounds(130,370,50,20);
		add(meleeTot);
		
		
		distance.setBounds(5,390,100,20);
		add(distance);
		distanceLvl.setBounds(95,390,50,20);
		add(distanceLvl);
		distanceTot.setBounds(130,390,50,20);
		add(distanceTot);
		
		magie.setBounds(5,410,100,20);
		add(magie);
		magieLvl.setBounds(95,410,50,20);
		add(magieLvl);
		magieTot.setBounds(130,410,50,20);
		add(magieTot);
		
		attunement.setBounds(5,430,100,20);
		add(attunement);
		attunementLvl.setBounds(95,430,50,20);
		add(attunementLvl);
		attunementTot.setBounds(130,430,50,20);
		add(attunementTot);
		
		
		crocheter.setBounds(5,450,100,20);
		add(crocheter);
		crocheterLvl.setBounds(95,450,50,20);
		add(crocheterLvl);
		crocheterTot.setBounds(130,450,50,20);
		add(crocheterTot);
		
		
		pieges.setBounds(5,470,100,20);
		add(pieges);
		piegesLvl.setBounds(95,470,50,20);
		add(piegesLvl);
		piegesTot.setBounds(130,470,50,20);
		add(piegesTot);
		
		
		identification.setBounds(5,490,100,20);
		add(identification);
		identificationLvl.setBounds(95,490,50,20);
		add(identificationLvl);
		identificationTot.setBounds(130,490,50,20);
		add(identificationTot);
		
		
		baratin.setBounds(5,510,100,20);
		add(baratin);
		baratinLvl.setBounds(95,510,50,20);
		add(baratinLvl);
		baratinTot.setBounds(130,510,50,20);
		add(baratinTot);
		//
		
		
		
			
		coordLbl.setBounds(5,590,30,20);
		add(coordLbl);
		
		xLbl.setBounds(40,590,50,20);
		add(xLbl);
		
		yLbl.setBounds(90,590,50,20);
		add(yLbl);
		
		dayLbl.setBounds(5,550,50,20);
		add(dayLbl);
		
		coordGLOBALLbl.setBounds(5,570,30,20);
		xGLOBALLbl.setBounds(40,570,50,20);
		yGLOBALLbl.setBounds(90,570,50,20);
		zGLOBALLbl.setBounds(140,570,50,20);
		add(coordGLOBALLbl);
		add(xGLOBALLbl);
		add(yGLOBALLbl);
		add(zGLOBALLbl);
		
		
		nomRndLbl.setBounds(5,620,60,20);
		add(nomRndLbl);
		
		
		rndIntLbl.setBounds(60,620,200,20);
		add(rndIntLbl);
		
		fond=new ImageIcon("./images/parcheminstats.jpg");
		separ=new ImageIcon("./images/separateurStats.jpg");
		
		
	}
	
	public void paintComponent (Graphics g){
		fond.paintIcon(this,g,0,0);
		separ.paintIcon(this,g,0,130);
		separ.paintIcon(this,g,0,300);
		separ.paintIcon(this,g,0,540);
		
	}
	
	
	public void update(Graphics g){	
		paintComponent(g);
	}

		
}